#include <perms.h>
int _imp_mainep(int _imp_argc, char **_imp_argv) {
  void Do(void Fn(int P, int Q, int R)) {
    int I;
    I = Fn;
  }
  int Average(int A, int B, int C) { return ((A + B + C) / 3); }
  Do(Average());
  exit(0);
  return (1);
}
